fs checkservers            AFS Commands         fs checkservers


NAME

   fs checkservers -- check status of file server machines.


   fs checkservers  [-cell <cell to check>]  [-all]  [-fast]
   [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

   fs checks  [-c <cell to check>]  [-a]  [-f]  [-h]

DESCRIPTION

   Lists any file server machines in the indicated cell(s) that
   meet two conditions:

      1. The Cache Manager has been in  contact  with  the
         fileserver process running on the machine, and/or
         may need to contact it in future.   (Reasons  for
         wanting  to  contact  a file server machine might
         include holding a callback from that  machine  or
         having locked files on it.)

      2. The  fileserver  process  on  the  machine is not
         currently  responding  to  Cache  Manager  probes
         (implying  that  it  is  not  responding to Cache
         Manager file requests either).

   The Cache Manager constantly maintains a list of file server
   machines  that  meet  the first condition, updating it every
   four to ten minutes by attempting to contact the  fileserver
   process  on  each  machine in the list.  When a process does
   not respond to the probe, the  Cache  Manager  marks  it  as
   non-functioning.    If  a  machine  that  previously did not
   respond begins to respond again, the  Cache  Manager  erases
   the "not functioning" mark.

   This   command  forces  the  Cache  Manager  to  update  its
   information immediately (rather than  waiting  the  standard
   interval).   The Cache Manager probes the fileserver process
   on the machines in the specified cell that  meet  the  first
   condition  above,  records  those  that  do not respond, and
   reports the result.  If the issuer includes the -fast  flag,
   the  Cache  Manager  outputs  the list it already has at the
   time the command is issued instead of probing  the  machines
   again.

   By  default,  the Cache Manager probes machines in the local
   cell only.  If the -all flag is used, it probes all machines
   (from  all  cells) that meet the first condition.  If a cell
   name is specified with -cell, The Cache Manager  probes  the
   machines in that cell only.

WARNING

   It  can  take  quite a while for this command to produce its
   entire output if a number of machines in the Cache Manager's
   list are in fact down when the command is issued.  The delay
   is because after issuing the probe the Cache Manager waits a
   standard   timeout   period   before   concluding  that  the



   fileserver  is  not  responding;   this   allows   for   the
   possibility  of  slow cross-network communication.  If it is
   important that the command shell prompt return quickly,  the
   issuer  may  wish to put this command in the background.  It
   is harmless to interrupt the command (with Ctrl-C or another
   interrupt signal).

   This  command  is  not guaranteed to check the status of all
   file server machines in a cell.  The  Cache  Manager  probes
   only  those machines that meet the first condition mentioned
   above.

ARGUMENTS

   -cell specifies the complete name of  the  cell  whose  file
         server   machines   the  Cache  manager  should  probe
         (shortened forms are not acceptable).    Provide  this
         argument OR -all; it may be combined with -fast.

   -all  causes  the  Cache  Manager to probe all machines that
         meet the first condition  mentioned  above.    Provide
         this argument OR -cell; it may be combined with -fast.

   -fast tells the Cache Manager to display its current list of
         down machines, rather than probing any machines.   The
         displayed output may be up to 10 minutes old.

   -dir  is   obsolete,  but  can  still  be  provided  on  the
         command-line.    Previous  versions  of  this  command
         required a directory argument.  If the issuer includes
         it by accident, a warning  message  appears,  but  the
         command still executes correctly.

   -help prints the online help entry for this command.  Do not
         provide any other arguments or flags  with  this  one.
         See  section  3.1  in  the  Reference  Manual for more
         details.

OUTPUT

   If the Cache  Manager  gets  a  response  from  all  of  the
   machines  that  it  probes  (i.e.,  all  such  machines  are
   functioning normally), the output is

       All servers are running.

   (Remember that this message does not  imply  that  all  file
   server  machines  in  the  cell are running.  It reports the
   status of only those that the Cache Manager tries to probe.)

   If a machine fails to respond to the Cache  Manager's  probe
   within  the  timeout  period,  the output displays its name.
   The format of a machine name (name  in  uppercase,  name  in
   lowercase,  or  Internet address in four-field decimal form)
   depends on the state of the local cell's name server at  the
   time the command is issued.

EXAMPLES

   In  the  following  example,  the  issuer chooses to see the
   Cache Manager's current list of down machines that belong to



   the  local  cell,  rather  than waiting for it to probe them
   again.  The output indicates that all machines responded  to
   the previous probe.

   % fs checks -f  All servers are running.

   The  following  example  checks  file server machines in all
   cells that the Cache Manager has previously contacted.    It
   reports    that    the    machines    fs1.transarc.com   and
   vice3.andrew.cmu.edu did not respond to the machine's probe.

   % fs checkservers -all &  These servers are still down:
   fs1.transarc.com               VICE3.ANDREW.CMU.EDU

   The following example checks machines in the  athena.mit.edu
   cell only:

   % fs checks athena.mit.edu &  %All servers are running.

PRIVILEGE REQUIRED

   None.
